Subject: Re: byacc broken?
From: mps@symsun10 ("Mike Smith")

31 Oct 1996 04:02:37 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <9610311047.AA03079.cygnus.gnu-win32@symsun10>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <mps@symsun10>
Original-To: Steve McKay <[email-masked]>
Original-Cc: [email-masked]
X-Mailer: Pegasus Mail for Win32 (v2.42a)
Original-Sender: [email-masked]

If you want a port of f2c to Win32, I can supply mine.  I didn't 
bother with the yacc stuff - the files generated by the rules using 
yacc are already in the distribution so I commented out the yacc 
stuff and everyhing works fine.  I also modified one of the runtime 
library routines to allow f2c to generate programs from Fortran 66 
sources (mainly to handle the printer control codes which F66 
generates as the first character in every output line).  The whole 
thing has been used to sucessfully compile the Spice2g6 Fortran 66 
sources.

> To:            [email-masked]
> Subject:       byacc broken?
> Date:          Wed, 30 Oct 1996 09:49:32 -0700
> From:          Steve McKay <[email-masked]>

> I am trying to compile f2c on my windows 95 box at home using gnu-win32.
> (This is actually an intermediate point in my attempt to compile octave for 
> win 95/NT). At some point in the compilation, f2c needs to run yacc.  When I 
> specify byacc, it gives me a c code that won't compile. When I make f2c on an
> sgi at work, the c code generated by yacc seems to have the same code in it, 
> but there is also additional code as well. (It also compiles without a murmur).
> 
> Since I don't use yacc a lot, I am at a loss as to what the problem is.  Does 
> yacc provide machine dependent code?  If so, there may be a define thats 
> incorrect. 
> 
> Has anyone else had problems with byacc?
> 
> -- 
> 
> Steven M. McKay					Dept. of Mathematics
> Assistant Professor				Brigham Young University
> 						310 TMCB 
> 						Provo, Utah
> 
> 
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 
> 

--------------------------------------------------------------------
Mike Smith                             Symbionics Communications Ltd
EMAIL:  [email-masked]           St John's Innovation Park
        [email-masked]    Cowley Road, Cambridge
TEL:    +44 1223 421 025               CB4 4WS
FAX:    +44 1223 421 031               UK
--------------------------------------------------------------------
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".